-------------------------------------------------------------------------------
--|> StatusBar
-- Manages the messages in the StatusBar frame
-------------------------------------------------------------------------------
--|> UPVALUE GLOBALS
-------------------------------------------------------------------------------
local weizPVP = weizPVP
-------------------------------------------------------------------------------
--|> FUNCTIONS
-------------------------------------------------------------------------------
local fadeIn
local fadeOut
function weizPVP:CreateStatusBar()
	--=> weizPVP.FooterFrame: SETTINGS
	-----------------------------------------------------------------------

	--=> AnimationGroup: Fade Highlight
	weizPVP.FooterFrame.Text.anim = weizPVP.FooterFrame.Text:CreateAnimationGroup()

	fadeIn = weizPVP.FooterFrame.Text.anim:CreateAnimation("Alpha")
	fadeIn:SetDuration(0.2)
	fadeIn:SetFromAlpha(0)
	fadeIn:SetToAlpha(1)
	fadeIn:SetEndDelay(3) --> Set the number of seconds the animation delays after finishing.
	fadeIn:SetOrder(1)

	fadeOut = weizPVP.FooterFrame.Text.anim:CreateAnimation("Alpha")
	fadeOut:SetDuration(2)
	fadeOut:SetFromAlpha(1)
	fadeOut:SetToAlpha(0)
	fadeOut:SetOrder(2)
end

--=> Set Status Bar Message
function weizPVP:SetStatusBarMessage(stringSB, fadeEN, duration, debug)
	if debug then
		weizPVP.FooterFrame.Text:SetText("> |cffff3838DEBUG MODE ACTIVE|r <")
		weizPVP.FooterFrame.Text:SetAlpha(1)
		weizPVP.FooterFrame.Text:Show()
	else
		weizPVP.FooterFrame.Text:SetText(stringSB)
		if fadeEN then
			fadeIn:SetEndDelay(duration)
			fadeOut:SetToAlpha(0)
			weizPVP.FooterFrame.Text.anim:SetScript(
				"OnFinished",
				function()
					weizPVP.FooterFrame.Text:SetAlpha(0)
				end
			)
		else
			fadeOut:SetToAlpha(1)
			weizPVP.FooterFrame.Text.anim:SetScript(
				"OnFinished",
				function()
					weizPVP.FooterFrame.Text:SetAlpha(1)
				end
			)
		end
		weizPVP.FooterFrame.Text.anim:Play()
	end
end
